import { IndexedTx } from "@cosmjs/stargate";
import { CosmWasmClient } from "@cosmjs/cosmwasm-stargate";
import { AnyAddress, ChainName, ChainsConfig, Contracts, Network, UnsignedTransaction, WormholeCore, WormholeMessageId } from "@wormhole-foundation/connect-sdk";
import { CosmwasmChainName } from "@wormhole-foundation/connect-sdk-cosmwasm";
export declare class CosmwasmWormholeCore implements WormholeCore<"Cosmwasm"> {
    readonly network: Network;
    readonly chain: CosmwasmChainName;
    readonly rpc: CosmWasmClient;
    readonly contracts: Contracts;
    private coreAddress;
    private constructor();
    static fromRpc(rpc: CosmWasmClient, config: ChainsConfig): Promise<CosmwasmWormholeCore>;
    publishMessage(sender: AnyAddress, message: string | Uint8Array): AsyncGenerator<UnsignedTransaction, any, unknown>;
    parseTransaction(txid: string): Promise<WormholeMessageId[]>;
    static parseWormholeMessage(chain: ChainName, coreAddress: string, tx: IndexedTx): WormholeMessageId;
}
//# sourceMappingURL=wormholeCore.d.ts.map